---
title: Retrieves Security Center Insights
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Security Center](https://developers.cloudflare.com/api/go/resources/security_center)

[Insights](https://developers.cloudflare.com/api/go/resources/security_center/subresources/insights)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Retrieves Security Center Insights

client.SecurityCenter.Insights.List(ctx, params) (\*V4PagePagination\[[InsightListResponse](<https://developers.cloudflare.com/api/go/resources/security_center#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)>)], error)

GET/{accounts\_or\_zones}/{account\_or\_zone\_id}/security-center/insights

Lists all Security Center insights for the account or zone, showing security findings and recommendations.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

<details>

<summary>

params InsightListParams

</summary>

AccountID param.Field\[string]Optional

Path param: The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

ZoneID param.Field\[string]Optional

Path param: The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

Dismissed param.Field\[bool]Optional

Query param

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20dismissed">Link to this property</a>

IssueClass param.Field\[\[]string]Optional

Query param

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20issue_class">Link to this property</a>

IssueClassNeq param.Field\[\[]string]Optional

Query param

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20issue_class~neq">Link to this property</a>

<details>

<summary>

IssueType param.Field\[\[]<a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a>]Optional

Query param

</summary>

const IssueTypeComplianceViolation <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "compliance\_violation"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const IssueTypeEmailSecurity <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "email\_security"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const IssueTypeExposedInfrastructure <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "exposed\_infrastructure"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const IssueTypeInsecureConfiguration <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "insecure\_configuration"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

const IssueTypeWeakAuthentication <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "weak\_authentication"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

const IssueTypeConfigurationSuggestion <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "configuration\_suggestion"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20issue_type">Link to this property</a>

<details>

<summary>

IssueTypeNeq param.Field\[\[]<a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a>]Optional

Query param

</summary>

const IssueTypeComplianceViolation <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "compliance\_violation"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const IssueTypeEmailSecurity <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "email\_security"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const IssueTypeExposedInfrastructure <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "exposed\_infrastructure"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const IssueTypeInsecureConfiguration <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "insecure\_configuration"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

const IssueTypeWeakAuthentication <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "weak\_authentication"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

const IssueTypeConfigurationSuggestion <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "configuration\_suggestion"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20issue_type~neq">Link to this property</a>

Page param.Field\[int64]Optional

Query param: Specifies the current page within paginated list of results.

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page">Link to this property</a>

PerPage param.Field\[int64]Optional

Query param: Sets the number of results per page of results.

maximum1000

minimum1

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

Product param.Field\[\[]string]Optional

Query param

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20product">Link to this property</a>

ProductNeq param.Field\[\[]string]Optional

Query param

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20product~neq">Link to this property</a>

<details>

<summary>

Severity param.Field\[\[]<a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)">SeverityQueryParam</a>]Optional

Query param

</summary>

const SeverityQueryParamLow <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)">SeverityQueryParam</a> = "low"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const SeverityQueryParamModerate <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)">SeverityQueryParam</a> = "moderate"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const SeverityQueryParamCritical <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)">SeverityQueryParam</a> = "critical"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20severity">Link to this property</a>

<details>

<summary>

SeverityNeq param.Field\[\[]<a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)">SeverityQueryParam</a>]Optional

Query param

</summary>

const SeverityQueryParamLow <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)">SeverityQueryParam</a> = "low"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const SeverityQueryParamModerate <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)">SeverityQueryParam</a> = "moderate"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const SeverityQueryParamCritical <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)">SeverityQueryParam</a> = "critical"

<a href="#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20severity_query_param%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20severity~neq">Link to this property</a>

<details>

<summary>

Source param.Field\[\[]InsightListParamsSource]Optional

Query param

</summary>

const InsightListParamsSourceCloudflare InsightListParamsSource = "cloudflare"

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20source%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const InsightListParamsSourceRiskrecon InsightListParamsSource = "riskrecon"

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20source%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20source">Link to this property</a>

Subject param.Field\[\[]string]Optional

Query param

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20subject">Link to this property</a>

SubjectNeq param.Field\[\[]string]Optional

Query param

<a href="#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20subject~neq">Link to this property</a>

</details>

[Link to this property](<#(resource)%20security_center.insights%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type InsightListResponse struct{…}

</summary>

Count int64Optional

Indicates the total number of results.

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20count">Link to this property</a>

<details>

<summary>

Issues \[]InsightListResponseIssueOptional

</summary>

ID stringOptional

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

Dismissed boolOptional

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20dismissed">Link to this property</a>

HasExtendedContext boolOptional

Indicates whether the insight has a large payload that requires fetching via the context endpoint.

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20has_extended_context">Link to this property</a>

IssueClass stringOptional

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20issue_class">Link to this property</a>

<details>

<summary>

IssueType <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a>Optional

</summary>

One of the following:

const IssueTypeComplianceViolation <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "compliance\_violation"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20issue_type%20%2B%20(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const IssueTypeEmailSecurity <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "email\_security"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20issue_type%20%2B%20(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const IssueTypeExposedInfrastructure <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "exposed\_infrastructure"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20issue_type%20%2B%20(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const IssueTypeInsecureConfiguration <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "insecure\_configuration"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20issue_type%20%2B%20(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

const IssueTypeWeakAuthentication <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "weak\_authentication"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20issue_type%20%2B%20(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

const IssueTypeConfigurationSuggestion <a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)">IssueType</a> = "configuration\_suggestion"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20issue_type%20%2B%20(resource)%20intel.attack_surface_report.issues%20%3E%20(model)%20issue_type%20%3E%20(schema)%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20issue_type">Link to this property</a>

<details>

<summary>

Payload InsightListResponseIssuesPayloadOptional

</summary>

DetectionMethod stringOptional

Describes the method used to detect insight.

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20payload%20%3E%20(property)%20detection_method">Link to this property</a>

ZoneTag stringOptional

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20payload%20%3E%20(property)%20zone_tag">Link to this property</a>

</details>

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20payload">Link to this property</a>

ResolveLink stringOptional

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20resolve_link">Link to this property</a>

ResolveText stringOptional

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20resolve_text">Link to this property</a>

<details>

<summary>

Severity InsightListResponseIssuesSeverityOptional

</summary>

One of the following:

const InsightListResponseIssuesSeverityLow InsightListResponseIssuesSeverity = "Low"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20severity%20%3E%20(member)%200">Link to this property</a>

const InsightListResponseIssuesSeverityModerate InsightListResponseIssuesSeverity = "Moderate"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20severity%20%3E%20(member)%201">Link to this property</a>

const InsightListResponseIssuesSeverityCritical InsightListResponseIssuesSeverity = "Critical"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20severity%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20severity">Link to this property</a>

Since TimeOptional

formatdate-time

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20since">Link to this property</a>

<details>

<summary>

Status InsightListResponseIssuesStatusOptional

The current status of the insight.

</summary>

One of the following:

const InsightListResponseIssuesStatusActive InsightListResponseIssuesStatus = "active"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

const InsightListResponseIssuesStatusResolved InsightListResponseIssuesStatus = "resolved"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20status">Link to this property</a>

Subject stringOptional

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20subject">Link to this property</a>

Timestamp TimeOptional

formatdate-time

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20timestamp">Link to this property</a>

<details>

<summary>

UserClassification InsightListResponseIssuesUserClassificationOptional

User-defined classification for the insight. Can be ‘false\_positive’, ‘accept\_risk’, ‘other’, or null.

</summary>

One of the following:

const InsightListResponseIssuesUserClassificationFalsePositive InsightListResponseIssuesUserClassification = "false\_positive"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20user_classification%20%3E%20(member)%200">Link to this property</a>

const InsightListResponseIssuesUserClassificationAcceptRisk InsightListResponseIssuesUserClassification = "accept\_risk"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20user_classification%20%3E%20(member)%201">Link to this property</a>

const InsightListResponseIssuesUserClassificationOther InsightListResponseIssuesUserClassification = "other"

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20user_classification%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues%20%3E%20(items)%20%3E%20(property)%20user_classification">Link to this property</a>

</details>

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20issues">Link to this property</a>

Page int64Optional

Specifies the current page within paginated list of results.

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20page">Link to this property</a>

PerPage int64Optional

Sets the number of results per page of results.

maximum1000

minimum1

<a href="#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)%20%3E%20(property)%20per_page">Link to this property</a>

</details>

[Link to this property](<#(resource)%20security_center.insights%20%3E%20(model)%20InsightListResponse%20%3E%20(schema)>)

### Retrieves Security Center Insights

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/security_center"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.SecurityCenter.Insights.List(context.TODO(), security_center.InsightListParams{

  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "count": 1,
    "issues": [
      {
        "id": "id",
        "dismissed": false,
        "has_extended_context": false,
        "issue_class": "always_use_https_not_enabled",
        "issue_type": "compliance_violation",
        "payload": {
          "detection_method": "We detected security rules referencing multiple IP addresses directly in the rules.",
          "zone_tag": "zone_tag"
        },
        "resolve_link": "resolve_link",
        "resolve_text": "resolve_text",
        "severity": "Low",
        "since": "2019-12-27T18:11:19.117Z",
        "status": "active",
        "subject": "example.com",
        "timestamp": "2019-12-27T18:11:19.117Z",
        "user_classification": "false_positive"
      }
    ],
    "page": 1,
    "per_page": 25
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "count": 1,
    "issues": [
      {
        "id": "id",
        "dismissed": false,
        "has_extended_context": false,
        "issue_class": "always_use_https_not_enabled",
        "issue_type": "compliance_violation",
        "payload": {
          "detection_method": "We detected security rules referencing multiple IP addresses directly in the rules.",
          "zone_tag": "zone_tag"
        },
        "resolve_link": "resolve_link",
        "resolve_text": "resolve_text",
        "severity": "Low",
        "since": "2019-12-27T18:11:19.117Z",
        "status": "active",
        "subject": "example.com",
        "timestamp": "2019-12-27T18:11:19.117Z",
        "user_classification": "false_positive"
      }
    ],
    "page": 1,
    "per_page": 25
  }
}
```